This endpoint generates a preview asynchronously before rendering the final video. Unlike the synchronous preview endpoint, this returns immediately with a 201 status and the job details. You can poll the job status using the GET endpoint. Generating a preview through this endpoint costs 1 credit for every 30 seconds.
The synchronous POST /api/custom_template_jobs/preview/ endpoint blocks until the preview is ready and returns the completed result directly.This async endpoint returns immediately with the job in a pending state. You should poll the job status using GET /api/custom_template_jobs/{id}/ until the status becomes done, then read the preview field from the response.
The preview field provides a link to preview the video. This link allows you to preview the video before rendering it, you can put it in an iframe to show the video in your application.
Example: The preview field in the response will look like this:
This async endpoint is recommended over the synchronous preview endpoint, especially for templates with complex assets or heavy processing. It avoids HTTP timeout issues that can occur with the synchronous endpoint when the server is under high load.
Model version for the avatar, 'standard', 'aurora_v1', 'aurora_v1_fast', 'aurora_v2' or 'boreal'. Default is 'standard'. Standard model costs 5 credits per 30 seconds video, Aurora_v1 model costs 1 credit per second, and Aurora_v1_fast renders faster with lower quality for 0.5 credits per second. Aurora_v2 costs 0.7 credits per second. Boreal model costs 10 credits per 30 seconds video.
Model version for the avatar, 'standard', 'aurora_v1', 'aurora_v1_fast', 'aurora_v2' or 'boreal'. Default is 'standard'. Standard model costs 5 credits per 30 seconds video, Aurora_v1 model costs 1 credit per second, and Aurora_v1_fast renders faster with lower quality for 0.5 credits per second. Aurora_v2 costs 0.7 credits per second. Boreal model costs 10 credits per 30 seconds video.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Creatify.ai","colors":{"primary":"#857ff9","light":"#5bf5ff","dark":"#857ff9"},"logo":{"light":"https://mintcdn.com/creatify/fobKWPKCdJDOWjln/logo/light.png?fit=max\u0026auto=format\u0026n=fobKWPKCdJDOWjln\u0026q=85\u0026s=08eb59759b83d7aaceab6786ac5f8267","dark":"https://mintcdn.com/creatify/fobKWPKCdJDOWjln/logo/dark.png?fit=max\u0026auto=format\u0026n=fobKWPKCdJDOWjln\u0026q=85\u0026s=af184d7bc4f2931e5bcbe803d047fc29"},"favicon":"https://mintcdn.com/creatify/fobKWPKCdJDOWjln/favicon.png?fit=max\u0026auto=format\u0026n=fobKWPKCdJDOWjln\u0026q=85\u0026s=acd9d459587b0efc1033d0786c6f66ff","api":{"openapi":"https://staging-api.creatify.ai/api/schema.json","mdx":{"auth":{"method":"key"},"server":"https://api.creatify.ai"}},"appearance":{"default":"dark"},"navbar":{"links":[{"href":"https://app.creatify.ai/ai-models/status","label":"Model Status"},{"href":"https://status.creatify.ai","label":"Status Page"},{"href":"mailto:api@creatify.ai","label":"Support"}],"primary":{"type":"button","label":"Sign up","href":"https://video.creatify.ai/signup"}},"footer":{"socials":{"twitter":"https://x.com/Creatify_AI","linkedin":"https://www.linkedin.com/company/97191687"}},"integrations":{"gtm":{"tagId":"GTM-W4ZPRQ67"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"creatify","hasAudioNarration":false,"actualSubdomain":"creatify","customDomains":["docs.creatify.ai"],"gitSource":{"type":"github","owner":"creatify-ai","repo":"api-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae0d453bd7692f0e3bf5d0d","collectionId":"12bdc6e2-b797-454b-a084-eaae3f4e12ac","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae0d453bd7692f0e3bf5d0d"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae0d453bd7692f0e3bf5d0d","clientVersion":"0.0.4021","searchFilterCounts":[{"language":"default","tag":"Documentation","count":494},{"language":"default","tag":"Asset Generator","count":139},{"language":"default","tag":"Models","count":134},{"language":"default","tag":"API Reference","count":71},{"language":"default","tag":"Kling","count":26},{"language":"default","tag":"Seedance","count":15},{"language":"default","tag":"Veo","count":13},{"language":"default","tag":"Stock AI Avatar","count":12},{"language":"default","tag":"Nano Banana","count":11},{"language":"default","tag":"Gemini Omni Flash","count":9}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/custom-template-jobs/post-custom-template-job-preview-async","slug":"/api-reference/custom-template-jobs/post-custom-template-job-preview-async","pageMetadata":{"title":"Generate Preview of Custom Template Video (Async)","openapi":"post /api/custom_template_jobs/preview_async/","description":"This endpoint generates a preview asynchronously before rendering the final video. Unlike the synchronous preview endpoint, this returns immediately with a 201 status and the job details. You can poll the job status using the GET endpoint. Generating a preview through this endpoint costs 1 credit for every 30 seconds.","href":"/api-reference/custom-template-jobs/post-custom-template-job-preview-async"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"This endpoint generates a preview asynchronously before rendering the final video. Unlike the synchronous preview endpoint, this returns immediately with a 201 status and the job details. You can poll the job status using the GET endpoint. Generating a preview through this endpoint costs 1 credit for every 30 seconds.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,pre:`pre`,span:`span`,..._provideComponents(),...props.components},{CodeBlock,Heading}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`3`,id:`difference-from-synchronous-preview`,children:`Difference from Synchronous Preview`}),`\n`,_jsxs(_components.p,{children:[`The synchronous `,_jsx(_components.code,{children:`POST /api/custom_template_jobs/preview/`}),` endpoint blocks until the preview is ready and returns the completed result directly.`]}),`\n`,_jsxs(_components.p,{children:[`This async endpoint returns immediately with the job in a `,_jsx(_components.code,{children:`pending`}),` state. You should poll the job status using `,_jsx(_components.code,{children:`GET /api/custom_template_jobs/{id}/`}),` until the status becomes `,_jsx(_components.code,{children:`done`}),`, then read the `,_jsx(_components.code,{children:`preview`}),` field from the response.`]}),`\n`,_jsx(Heading,{level:`3`,id:`about-preview-field-in-the-response`,children:`About preview Field in the Response`}),`\n`,_jsx(_components.p,{children:`The preview field provides a link to preview the video. This link allows you to preview the video before rendering it, you can put it in an iframe to show the video in your application.\nExample: The preview field in the response will look like this:`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`2`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`2`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`\"https://app.creatify.ai/preview?layout=videos/20241024/f0c1e1f1-be05-48e0-91d8-3d26ed633d5b.json\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),`\n`,_jsx(Heading,{level:`3`,id:`recommended-usage`,children:`Recommended Usage`}),`\n`,_jsx(_components.p,{children:`This async endpoint is recommended over the synchronous preview endpoint, especially for templates with complex assets or heavy processing. It avoids HTTP timeout issues that can occur with the synchronous endpoint when the server is under high load.`})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Generate Preview of Custom Template Video (Async)","openapi":"post /api/custom_template_jobs/preview_async/","description":"This endpoint generates a preview asynchronously before rendering the final video. Unlike the synchronous preview endpoint, this returns immediately with a 201 status and the job details. You can poll the job status using the GET endpoint. Generating a preview through this endpoint costs 1 credit for every 30 seconds.","href":"/api-reference/custom-template-jobs/post-custom-template-job-preview-async"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Difference from Synchronous Preview","slug":"difference-from-synchronous-preview","depth":3,"children":[]},{"title":"About preview Field in the Response","slug":"about-preview-field-in-the-response","depth":3,"children":[]},{"title":"Recommended Usage","slug":"recommended-usage","depth":3,"children":[]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"custom_template_jobs_preview_async_create","tags":["custom_template_jobs"],"requestBody":"43ead562-99a8-453b-9d95-98439dff9236","security":["1d2b81c0-549c-45b6-802c-acfa7d6a3e40"],"responses":{"200":"6232cfab-ab1e-4f06-9386-18bd8f410a20"},"method":"post","type":"path","servers":[],"path":"/api/custom_template_jobs/preview_async/","baseUrlOptions":["https://api.creatify.ai"],"title":"","description":"This endpoint generates a preview asynchronously before rendering the final video. Unlike the synchronous preview endpoint, this returns immediately with a 201 status and the job details. You can poll the job status using the GET endpoint. Generating a preview through this endpoint costs 1 credit for every 30 seconds.","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"template_id":{"type":"string","format":"uuid","writeOnly":true,"description":"Template ID associated with the job.","isRequired":true,"uniqueKey":"template_id","typeLabel":"string\u003cuuid>"},"variables":{"type":"object","additionalProperties":{"type":"object","properties":{"type":{"type":"string","description":"Type of the variable with example properties.\n\n* `image` - Image file with a URL. Example: properties = {'url': 'https://example.com/image.jpg'}\n* `video` - Video file with a URL. Example: properties = {'url': 'https://example.com/video.mp4'}\n* `audio` - Audio file with a URL. Example: properties = {'url': 'https://example.com/audio.mp3'}\n* `text` - Scene text or overlay text with content. Example: properties = {'content': 'Sample text content'}\n* `avatar` - Avatar with a unique ID. Example: properties = {'avatar_id': '123e4567-e89b-12d3-a456-426614174000'}\n* `voiceover` - Voiceover with an associated voice ID. Example: properties = {'voice_id': '123e4567-e89b-12d3-a456-426614174001'}","enum":["image","video","audio","text","avatar","voiceover"],"isRequired":true,"uniqueKey":"variables.additionalProperties.type","typeLabel":"enum\u003cstring>"},"properties":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"variables.additionalProperties.properties.additionalProperties","typeLabel":"any"},"description":"Properties based on the selected type.","isRequired":true,"uniqueKey":"variables.additionalProperties.properties","typeLabel":"object"}},"required":["properties","type"],"uniqueKey":"variables.additionalProperties","typeLabel":"object"},"description":"JSON data for the custom template.","isRequired":true,"uniqueKey":"variables","typeLabel":"object"},"name":{"oneOf":[{"type":"string","description":"Name of the video. Default is null.","maxLength":255,"uniqueKey":"name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Name of the video. Default is null.","maxLength":255,"uniqueKey":"name.oneOf.1","typeLabel":"null"}],"uniqueKey":"name","typeLabel":"string | null"},"webhook_url":{"oneOf":[{"type":"string","format":"uri","description":"Webhook URL for status updates. Default is null.","maxLength":200,"uniqueKey":"webhook_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"Webhook URL for status updates. Default is null.","maxLength":200,"uniqueKey":"webhook_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"webhook_url","typeLabel":"string\u003curi> | null"},"model_version":{"type":"string","description":"Model version for the avatar, 'standard', 'aurora_v1', 'aurora_v1_fast', 'aurora_v2' or 'boreal'. Default is 'standard'. Standard model costs 5 credits per 30 seconds video, Aurora_v1 model costs 1 credit per second, and Aurora_v1_fast renders faster with lower quality for 0.5 credits per second. Aurora_v2 costs 0.7 credits per second. Boreal model costs 10 credits per 30 seconds video.\n\n* `standard` - Standard\n* `aurora_v1` - Aurora v1\n* `aurora_v1_fast` - Aurora v1 Fast\n* `boreal` - Boreal\n* `aurora_v2` - Aurora v2","enum":["standard","aurora_v1","aurora_v1_fast","boreal","aurora_v2"],"uniqueKey":"model_version","typeLabel":"enum\u003cstring>"},"is_hidden":{"type":"boolean","default":false,"description":"Whether the job should be hidden.","uniqueKey":"is_hidden","typeLabel":"boolean"}},"required":["created_at","credits_used","duration","editor_url","failed_reason","id","media_job","preview","progress","status","template_id","updated_at","variables","video_output"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"template_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","variables":{},"name":"\u003cstring>","webhook_url":"\u003cstring>","is_hidden":false}}},"exampleType":"generated"},"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"template_id":{"type":"string","format":"uuid","writeOnly":true,"description":"Template ID associated with the job.","isRequired":true,"uniqueKey":"template_id","typeLabel":"string\u003cuuid>"},"variables":{"type":"object","additionalProperties":{"type":"object","properties":{"type":{"type":"string","description":"Type of the variable with example properties.\n\n* `image` - Image file with a URL. Example: properties = {'url': 'https://example.com/image.jpg'}\n* `video` - Video file with a URL. Example: properties = {'url': 'https://example.com/video.mp4'}\n* `audio` - Audio file with a URL. Example: properties = {'url': 'https://example.com/audio.mp3'}\n* `text` - Scene text or overlay text with content. Example: properties = {'content': 'Sample text content'}\n* `avatar` - Avatar with a unique ID. Example: properties = {'avatar_id': '123e4567-e89b-12d3-a456-426614174000'}\n* `voiceover` - Voiceover with an associated voice ID. Example: properties = {'voice_id': '123e4567-e89b-12d3-a456-426614174001'}","enum":["image","video","audio","text","avatar","voiceover"],"isRequired":true,"uniqueKey":"variables.additionalProperties.type","typeLabel":"enum\u003cstring>"},"properties":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"variables.additionalProperties.properties.additionalProperties","typeLabel":"any"},"description":"Properties based on the selected type.","isRequired":true,"uniqueKey":"variables.additionalProperties.properties","typeLabel":"object"}},"required":["properties","type"],"uniqueKey":"variables.additionalProperties","typeLabel":"object"},"description":"JSON data for the custom template.","isRequired":true,"uniqueKey":"variables","typeLabel":"object"},"name":{"oneOf":[{"type":"string","description":"Name of the video. Default is null.","maxLength":255,"uniqueKey":"name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Name of the video. Default is null.","maxLength":255,"uniqueKey":"name.oneOf.1","typeLabel":"null"}],"uniqueKey":"name","typeLabel":"string | null"},"webhook_url":{"oneOf":[{"type":"string","format":"uri","description":"Webhook URL for status updates. Default is null.","maxLength":200,"uniqueKey":"webhook_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"Webhook URL for status updates. Default is null.","maxLength":200,"uniqueKey":"webhook_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"webhook_url","typeLabel":"string\u003curi> | null"},"model_version":{"type":"string","description":"Model version for the avatar, 'standard', 'aurora_v1', 'aurora_v1_fast', 'aurora_v2' or 'boreal'. Default is 'standard'. Standard model costs 5 credits per 30 seconds video, Aurora_v1 model costs 1 credit per second, and Aurora_v1_fast renders faster with lower quality for 0.5 credits per second. Aurora_v2 costs 0.7 credits per second. Boreal model costs 10 credits per 30 seconds video.\n\n* `standard` - Standard\n* `aurora_v1` - Aurora v1\n* `aurora_v1_fast` - Aurora v1 Fast\n* `boreal` - Boreal\n* `aurora_v2` - Aurora v2","enum":["standard","aurora_v1","aurora_v1_fast","boreal","aurora_v2"],"uniqueKey":"model_version","typeLabel":"enum\u003cstring>"},"is_hidden":{"type":"boolean","default":false,"description":"Whether the job should be hidden.","uniqueKey":"is_hidden","typeLabel":"boolean"}},"required":["created_at","credits_used","duration","editor_url","failed_reason","id","media_job","preview","progress","status","template_id","updated_at","variables","video_output"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"template_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","variables":{},"name":"\u003cstring>","webhook_url":"\u003cstring>","is_hidden":false}}},"exampleType":"generated"},"multipart/form-data":{"schema":{"type":"object","properties":{"template_id":{"type":"string","format":"uuid","writeOnly":true,"description":"Template ID associated with the job.","isRequired":true,"uniqueKey":"template_id","typeLabel":"string\u003cuuid>"},"variables":{"type":"object","additionalProperties":{"type":"object","properties":{"type":{"type":"string","description":"Type of the variable with example properties.\n\n* `image` - Image file with a URL. Example: properties = {'url': 'https://example.com/image.jpg'}\n* `video` - Video file with a URL. Example: properties = {'url': 'https://example.com/video.mp4'}\n* `audio` - Audio file with a URL. Example: properties = {'url': 'https://example.com/audio.mp3'}\n* `text` - Scene text or overlay text with content. Example: properties = {'content': 'Sample text content'}\n* `avatar` - Avatar with a unique ID. Example: properties = {'avatar_id': '123e4567-e89b-12d3-a456-426614174000'}\n* `voiceover` - Voiceover with an associated voice ID. Example: properties = {'voice_id': '123e4567-e89b-12d3-a456-426614174001'}","enum":["image","video","audio","text","avatar","voiceover"],"isRequired":true,"uniqueKey":"variables.additionalProperties.type","typeLabel":"enum\u003cstring>"},"properties":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"variables.additionalProperties.properties.additionalProperties","typeLabel":"any"},"description":"Properties based on the selected type.","isRequired":true,"uniqueKey":"variables.additionalProperties.properties","typeLabel":"object"}},"required":["properties","type"],"uniqueKey":"variables.additionalProperties","typeLabel":"object"},"description":"JSON data for the custom template.","isRequired":true,"uniqueKey":"variables","typeLabel":"object"},"name":{"oneOf":[{"type":"string","description":"Name of the video. Default is null.","maxLength":255,"uniqueKey":"name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Name of the video. Default is null.","maxLength":255,"uniqueKey":"name.oneOf.1","typeLabel":"null"}],"uniqueKey":"name","typeLabel":"string | null"},"webhook_url":{"oneOf":[{"type":"string","format":"uri","description":"Webhook URL for status updates. Default is null.","maxLength":200,"uniqueKey":"webhook_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"Webhook URL for status updates. Default is null.","maxLength":200,"uniqueKey":"webhook_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"webhook_url","typeLabel":"string\u003curi> | null"},"model_version":{"type":"string","description":"Model version for the avatar, 'standard', 'aurora_v1', 'aurora_v1_fast', 'aurora_v2' or 'boreal'. Default is 'standard'. Standard model costs 5 credits per 30 seconds video, Aurora_v1 model costs 1 credit per second, and Aurora_v1_fast renders faster with lower quality for 0.5 credits per second. Aurora_v2 costs 0.7 credits per second. Boreal model costs 10 credits per 30 seconds video.\n\n* `standard` - Standard\n* `aurora_v1` - Aurora v1\n* `aurora_v1_fast` - Aurora v1 Fast\n* `boreal` - Boreal\n* `aurora_v2` - Aurora v2","enum":["standard","aurora_v1","aurora_v1_fast","boreal","aurora_v2"],"uniqueKey":"model_version","typeLabel":"enum\u003cstring>"},"is_hidden":{"type":"boolean","default":false,"description":"Whether the job should be hidden.","uniqueKey":"is_hidden","typeLabel":"boolean"}},"required":["created_at","credits_used","duration","editor_url","failed_reason","id","media_job","preview","progress","status","template_id","updated_at","variables","video_output"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"template_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","variables":{},"name":"\u003cstring>","webhook_url":"\u003cstring>","is_hidden":false}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"6232cfab-ab1e-4f06-9386-18bd8f410a20":{"content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","format":"uuid","readOnly":true,"isRequired":true,"uniqueKey":"id","typeLabel":"string\u003cuuid>"},"created_at":{"type":"string","format":"date-time","readOnly":true,"title":"Created date","isRequired":true,"uniqueKey":"created_at","typeLabel":"string\u003cdate-time>"},"updated_at":{"type":"string","format":"date-time","readOnly":true,"title":"Updated date","isRequired":true,"uniqueKey":"updated_at","typeLabel":"string\u003cdate-time>"},"variables":{"type":"object","additionalProperties":{"type":"object","properties":{"type":{"type":"string","description":"Type of the variable with example properties.\n\n* `image` - Image file with a URL. Example: properties = {'url': 'https://example.com/image.jpg'}\n* `video` - Video file with a URL. Example: properties = {'url': 'https://example.com/video.mp4'}\n* `audio` - Audio file with a URL. Example: properties = {'url': 'https://example.com/audio.mp3'}\n* `text` - Scene text or overlay text with content. Example: properties = {'content': 'Sample text content'}\n* `avatar` - Avatar with a unique ID. Example: properties = {'avatar_id': '123e4567-e89b-12d3-a456-426614174000'}\n* `voiceover` - Voiceover with an associated voice ID. Example: properties = {'voice_id': '123e4567-e89b-12d3-a456-426614174001'}","enum":["image","video","audio","text","avatar","voiceover"],"isRequired":true,"uniqueKey":"variables.additionalProperties.type","typeLabel":"enum\u003cstring>"},"properties":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"variables.additionalProperties.properties.additionalProperties","typeLabel":"any"},"description":"Properties based on the selected type.","isRequired":true,"uniqueKey":"variables.additionalProperties.properties","typeLabel":"object"}},"required":["properties","type"],"uniqueKey":"variables.additionalProperties","typeLabel":"object"},"description":"JSON data for the custom template.","isRequired":true,"uniqueKey":"variables","typeLabel":"object"},"media_job":{"oneOf":[{"type":"string","readOnly":true,"isRequired":true,"uniqueKey":"media_job.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"isRequired":true,"uniqueKey":"media_job.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"media_job","typeLabel":"string | null"},"video_output":{"oneOf":[{"type":"string","readOnly":true,"description":"Video output URL","isRequired":true,"uniqueKey":"video_output.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"description":"Video output URL","isRequired":true,"uniqueKey":"video_output.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"video_output","typeLabel":"string | null"},"preview":{"oneOf":[{"type":"string","readOnly":true,"description":"Preview URL","isRequired":true,"uniqueKey":"preview.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"description":"Preview URL","isRequired":true,"uniqueKey":"preview.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"preview","typeLabel":"string | null"},"editor_url":{"oneOf":[{"type":"string","readOnly":true,"description":"Editor URL for the video. Expires in 24 hours. Available only if your API account has API editor access enabled. , expires in 24 hours.","isRequired":true,"uniqueKey":"editor_url.oneOf.0","typeLabel":"string"},{"type":"null","readOnly":true,"description":"Editor URL for the video. Expires in 24 hours. Available only if your API account has API editor access enabled. , expires in 24 hours.","isRequired":true,"uniqueKey":"editor_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"editor_url","typeLabel":"string | null"},"failed_reason":{"type":"string","readOnly":true,"description":"Failed reason","isRequired":true,"uniqueKey":"failed_reason","typeLabel":"string"},"credits_used":{"type":"number","readOnly":true,"description":"Credits used in this API call","isRequired":true,"uniqueKey":"credits_used","typeLabel":"number"},"duration":{"type":"integer","readOnly":true,"description":"Duration of the video in seconds","isRequired":true,"uniqueKey":"duration","typeLabel":"integer"},"status":{"type":"string","description":"* `pending` - Pending\n* `in_queue` - In Queue\n* `running` - Running\n* `failed` - Failed\n* `done` - Done\n* `rejected` - Rejected","enum":["pending","in_queue","running","failed","done","rejected"],"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"progress":{"type":"number","format":"double","readOnly":true,"description":"Progress of the job","isRequired":true,"uniqueKey":"progress","typeLabel":"number\u003cdouble>"},"name":{"oneOf":[{"type":"string","description":"Name of the video. Default is null.","maxLength":255,"uniqueKey":"name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Name of the video. Default is null.","maxLength":255,"uniqueKey":"name.oneOf.1","typeLabel":"null"}],"uniqueKey":"name","typeLabel":"string | null"},"webhook_url":{"oneOf":[{"type":"string","format":"uri","description":"Webhook URL for status updates. Default is null.","maxLength":200,"uniqueKey":"webhook_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"Webhook URL for status updates. Default is null.","maxLength":200,"uniqueKey":"webhook_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"webhook_url","typeLabel":"string\u003curi> | null"},"model_version":{"type":"string","description":"Model version for the avatar, 'standard', 'aurora_v1', 'aurora_v1_fast', 'aurora_v2' or 'boreal'. Default is 'standard'. Standard model costs 5 credits per 30 seconds video, Aurora_v1 model costs 1 credit per second, and Aurora_v1_fast renders faster with lower quality for 0.5 credits per second. Aurora_v2 costs 0.7 credits per second. Boreal model costs 10 credits per 30 seconds video.\n\n* `standard` - Standard\n* `aurora_v1` - Aurora v1\n* `aurora_v1_fast` - Aurora v1 Fast\n* `boreal` - Boreal\n* `aurora_v2` - Aurora v2","enum":["standard","aurora_v1","aurora_v1_fast","boreal","aurora_v2"],"uniqueKey":"model_version","typeLabel":"enum\u003cstring>"},"is_hidden":{"type":"boolean","default":false,"description":"Whether the job should be hidden.","uniqueKey":"is_hidden","typeLabel":"boolean"}},"required":["created_at","credits_used","duration","editor_url","failed_reason","id","media_job","preview","progress","status","template_id","updated_at","variables","video_output"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","created_at":"2023-11-07T05:31:56Z","updated_at":"2023-11-07T05:31:56Z","variables":{},"media_job":"\u003cstring>","video_output":"\u003cstring>","preview":"\u003cstring>","editor_url":"\u003cstring>","failed_reason":"\u003cstring>","credits_used":123,"duration":123,"status":"pending","progress":123,"name":"\u003cstring>","webhook_url":"\u003cstring>","model_version":"standard","is_hidden":false}}},"exampleType":"generated"}},"description":"","exampleType":"generated"}},"security":{"1d2b81c0-549c-45b6-802c-acfa7d6a3e40":{"X-API-ID":{"type":"apiKey","in":"header","name":"X-API-ID","description":"API ID, from your settings page.","scopes":[],"schemeName":"X-API-ID"},"X-API-KEY":{"type":"apiKey","in":"header","name":"X-API-KEY","description":"API Key, from your settings page.","scopes":[],"schemeName":"X-API-KEY"}}},"servers":{},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"X-API-ID","description":"API ID, from your settings page.","scopes":[],"schemeName":"X-API-ID"},"schema":{"title":"X-API-ID","type":"string","description":"API ID, from your settings page.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"X-API-ID","name":"X-API-ID"},{"scheme":{"type":"apiKey","in":"header","name":"X-API-KEY","description":"API Key, from your settings page.","scopes":[],"schemeName":"X-API-KEY"},"schema":{"title":"X-API-KEY","type":"string","description":"API Key, from your settings page.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"X-API-KEY","name":"X-API-KEY"}],"title":"X-API-ID \u0026 X-API-KEY"}]},"originalFileLocation":"https://staging-api.creatify.ai/api/schema.json"},"subdomain":"creatify","siteName":"Creatify.ai","title":"Generate Preview of Custom Template Video (Async) - Creatify.ai","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-04-07T16:09:09.009Z","originalFileLocation":"api-reference/custom-template-jobs/post-custom-template-job-preview-async.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"dark\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"This endpoint generates a preview asynchronously before rendering the final video. Unlike the synchronous preview endpoint, this returns immediately with a 201 status and the job details. You can poll the job status using the GET endpoint. Generating a preview through this endpoint costs 1 credit for every 30 seconds.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Creatify.ai\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/creatify/1JGj7gB40D0kzI7p/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/creatify/1JGj7gB40D0kzI7p/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/creatify/1JGj7gB40D0kzI7p/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/creatify/1JGj7gB40D0kzI7p/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/creatify/1JGj7gB40D0kzI7p/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/creatify/1JGj7gB40D0kzI7p/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/creatify/1JGj7gB40D0kzI7p/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/creatify/1JGj7gB40D0kzI7p/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/creatify/1JGj7gB40D0kzI7p/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Generate Preview of Custom Template Video (Async) - Creatify.ai\">\u003cmeta data-mint-head property=\"og:description\" content=\"This endpoint generates a preview asynchronously before rendering the final video. Unlike the synchronous preview endpoint, this returns immediately with a 201 status and the job details. You can poll the job status using the GET endpoint. Generating a preview through this endpoint costs 1 credit for every 30 seconds.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Creatify.ai\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.creatify.ai/api-reference/custom-template-jobs/post-custom-template-job-preview-async\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://creatify.mintlify.app/_mintlify/api/og/v2?division=Video+API+Reference\u0026amp;title=Generate+Preview+of+Custom+Template+Video+%28Async%29\u0026amp;description=This+endpoint+generates+a+preview+asynchronously+before+rendering+the+final+video.+Unlike+the+synchronous+preview+endpoint%2C+this+returns+immediately+with+a+201+\u0026amp;theme=2619f61fe4856c4d839690d7\u0026amp;signature=c5f11b8e755799c9ecdceed640c60a04ecf22aa92368e5507685fdde5e2f95df\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Generate Preview of Custom Template Video (Async) - Creatify.ai\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"This endpoint generates a preview asynchronously before rendering the final video. Unlike the synchronous preview endpoint, this returns immediately with a 201 status and the job details. You can poll the job status using the GET endpoint. Generating a preview through this endpoint costs 1 credit for every 30 seconds.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://creatify.mintlify.app/_mintlify/api/og/v2?division=Video+API+Reference\u0026amp;title=Generate+Preview+of+Custom+Template+Video+%28Async%29\u0026amp;description=This+endpoint+generates+a+preview+asynchronously+before+rendering+the+final+video.+Unlike+the+synchronous+preview+endpoint%2C+this+returns+immediately+with+a+201+\u0026amp;theme=2619f61fe4856c4d839690d7\u0026amp;signature=c5f11b8e755799c9ecdceed640c60a04ecf22aa92368e5507685fdde5e2f95df\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/creatify/1JGj7gB40D0kzI7p/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Creatify.ai\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#857ff9\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.creatify.ai/api-reference/custom-template-jobs/post-custom-template-job-preview-async\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/custom-template-jobs/post-custom-template-job-preview-async.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.creatify.ai/#organization\",\"name\":\"Creatify.ai\",\"url\":\"https://docs.creatify.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/creatify/fobKWPKCdJDOWjln/logo/light.png?fit=max\u0026auto=format\u0026n=fobKWPKCdJDOWjln\u0026q=85\u0026s=08eb59759b83d7aaceab6786ac5f8267\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.creatify.ai#website\",\"name\":\"Creatify.ai\",\"url\":\"https://docs.creatify.ai\",\"publisher\":{\"@id\":\"https://docs.creatify.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.creatify.ai/api-reference/custom-template-jobs/post-custom-template-job-preview-async#webpage\",\"url\":\"https://docs.creatify.ai/api-reference/custom-template-jobs/post-custom-template-job-preview-async\",\"name\":\"Generate Preview of Custom Template Video (Async)\",\"description\":\"This endpoint generates a preview asynchronously before rendering the final video. Unlike the synchronous preview endpoint, this returns immediately with a 201 status and the job details. You can poll the job status using the GET endpoint. Generating a preview through this endpoint costs 1 credit for every 30 seconds.\",\"dateModified\":\"2026-04-07T16:09:09.009Z\",\"isPartOf\":{\"@id\":\"https://docs.creatify.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.creatify.ai/api-reference/custom-template-jobs/post-custom-template-job-preview-async#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.creatify.ai/api-reference/custom-template-jobs/post-custom-template-job-preview-async#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Custom Template\",\"item\":\"https://docs.creatify.ai/api-reference/custom-templates\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Video API Reference\",\"item\":\"https://docs.creatify.ai/api-reference/custom-template-jobs/post-custom-template-job\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Generate Preview of Custom Template Video (Async)\",\"item\":\"https://docs.creatify.ai/api-reference/custom-template-jobs/post-custom-template-job-preview-async\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.creatify.ai/api-reference/custom-template-jobs/post-custom-template-job-preview-async#apireference\",\"headline\":\"Generate Preview of Custom Template Video (Async)\",\"name\":\"Generate Preview of Custom Template Video (Async)\",\"description\":\"This endpoint generates a preview asynchronously before rendering the final video. Unlike the synchronous preview endpoint, this returns immediately with a 201 status and the job details. You can poll the job status using the GET endpoint. Generating a preview through this endpoint costs 1 credit for every 30 seconds.\",\"url\":\"https://docs.creatify.ai/api-reference/custom-template-jobs/post-custom-template-job-preview-async\",\"mainEntityOfPage\":{\"@id\":\"https://docs.creatify.ai/api-reference/custom-template-jobs/post-custom-template-job-preview-async#webpage\"},\"dateModified\":\"2026-04-07T16:09:09.009Z\",\"publisher\":{\"@id\":\"https://docs.creatify.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.creatify.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Creatify.ai\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Creatify.ai","nav":{"global":null,"tabs":[{"tab":"Documentation","anchors":[{"anchor":"Documentation","icon":"book-open","groups":[{"group":"Get Started","pages":[{"title":"Creatify API: AI Video Ad Generation","sidebarTitle":"Introduction","icon":"book-open","href":"/introduction"},{"title":"Creatify API Quickstart","sidebarTitle":"Quickstart","icon":"rocket","href":"/quickstart"},{"title":"Creatify API Billing and Credits","sidebarTitle":"Billing","icon":"credit-card","href":"/billing"},{"title":"Creatify API FAQ","sidebarTitle":"FAQ","icon":"circle-question","href":"/faq"}]},{"group":"URL to Video","pages":[{"group":"Overview","pages":[{"title":"Create Video from URL","href":"/api-documentation/url-to-video/link-to-video"},{"title":"Generate Previews and Render Video ","href":"/api-documentation/url-to-video/preview-list"}]},{"group":"API Reference","icon":"code","pages":[{"title":"Create video from link","openapi":"post /api/link_to_videos/","href":"/api-reference/link_to_videos/post-apilink_to_videos"},{"title":"Get video result","openapi":"get /api/link_to_videos/{id}/","href":"/api-reference/link_to_videos/get-apilink_to_videos-"},{"title":"Get video history","openapi":"get /api/link_to_videos/","href":"/api-reference/link_to_videos/get-apilink_to_videos"},{"title":"Generate Preview video from link","openapi":"post /api/link_to_videos/preview/","href":"/api-reference/link_to_videos/post-apilink_to_videos_preview"},{"title":"Render video","openapi":"post /api/link_to_videos/{id}/render/","href":"/api-reference/link_to_videos/post-apilink_to_videos_render"},{"title":"Generate a list of Previews Async","openapi":"post /api/link_to_videos/preview_list_async/","href":"/api-reference/link_to_videos/post-apilink_to_videos_preview_list_aysnc"},{"title":"Render a video from the list of Previews","openapi":"post /api/link_to_videos/{id}/render_single_preview/","href":"/api-reference/link_to_videos/post-apilink_to_videos_render_single_preview"}]}]},{"group":"Aurora","pages":[{"title":"Aurora API: Photo to Avatar Video","sidebarTitle":"Overview","href":"/api-documentation/aurora/aurora"},{"title":"Aurora 2.0 API: Avatar Video up to 2k","sidebarTitle":"Aurora 2.0","href":"/api-documentation/aurora/model-aurora-2"},{"title":"Aurora 1.0 and 1.0 Fast API: Long Avatar Videos","sidebarTitle":"Aurora 1.0 / 1.0 Fast","href":"/api-documentation/aurora/model-aurora-1"},{"group":"API Reference","icon":"code","pages":[{"title":"Create an Aurora task","openapi":"post /api/aurora/","href":"/api-reference/aurora/post-aurora"},{"title":"Get Aurora items","openapi":"get /api/aurora/","href":"/api-reference/aurora/get-aurora"},{"title":"Get Aurora item by id","openapi":"get /api/aurora/{id}/","href":"/api-reference/aurora/get-aurora-"}]}]},{"group":"Boreal","pages":[{"title":"Boreal Video Generation API","sidebarTitle":"Overview","href":"/api-documentation/boreal/boreal"},{"title":"Boreal-H3 API: Video Generation up to 2k","sidebarTitle":"Boreal-H3","href":"/api-documentation/boreal/model-boreal-h3"},{"title":"Boreal API: Videos up to 60 Seconds","sidebarTitle":"Boreal","href":"/api-documentation/boreal/model-boreal"},{"group":"API Reference","icon":"code","pages":[{"title":"Create a Boreal task","openapi":"post /api/boreal/","href":"/api-reference/boreal/post-boreal"},{"title":"Get Boreal items","openapi":"get /api/boreal/","href":"/api-reference/boreal/get-boreal"},{"title":"Get Boreal item by id","openapi":"get /api/boreal/{id}/","href":"/api-reference/boreal/get-boreal-"}]}]},{"group":"Stock AI Avatar","pages":[{"title":"Overview (v1)","href":"/api-documentation/ai-avatar/lipsync"},{"title":"Overview (v2)","href":"/api-documentation/ai-avatar/lipsync-v2"},{"group":"API Reference (v1)","icon":"code","pages":[{"title":"Create an AI Avatar task","openapi":"post /api/lipsyncs/","href":"/api-reference/lipsyncs/post-apilipsyncs"},{"title":"Get AI Avatar items","openapi":"get /api/lipsyncs/","href":"/api-reference/lipsyncs/get-apilipsyncs"},{"title":"Get AI Avatar item by id","openapi":"get /api/lipsyncs/{id}/","href":"/api-reference/lipsyncs/get-apilipsyncs-"},{"title":"Generate Preview of AI Avatar","openapi":"post /api/lipsyncs/preview/","href":"/api-reference/lipsyncs/post-apilipsyncs-preview"},{"title":"Render an AI Avatar task","openapi":"post /api/lipsyncs/{id}/render/","href":"/api-reference/lipsyncs/post-apilipsyncs-render"}]},{"group":"API Reference (v2)","icon":"code","pages":[{"title":"Create an AI Avatar v2 task","openapi":"post /api/lipsyncs_v2/","href":"/api-reference/lipsyncs_v2/post-apilipsyncs"},{"title":"Get AI Avatar v2 items","openapi":"get /api/lipsyncs_v2/","href":"/api-reference/lipsyncs_v2/get-apilipsyncs"},{"title":"Get AI Avatar v2 item by id","openapi":"get /api/lipsyncs_v2/{id}/","href":"/api-reference/lipsyncs_v2/get-apilipsyncs-"},{"title":"Generate Preview of AI Avatar v2","openapi":"post /api/lipsyncs_v2/preview/","href":"/api-reference/lipsyncs_v2/post-apilipsyncs-preview"},{"title":"Render an AI Avatar v2 task","openapi":"post /api/lipsyncs_v2/{id}/render/","href":"/api-reference/lipsyncs_v2/post-apilipsyncs-render"}]}]},{"group":"Custom Avatar","pages":[{"title":"Custom Avatar API","sidebarTitle":"Overview","href":"/api-documentation/custom-avatar/byoa"},{"group":"API Reference","icon":"code","pages":[{"title":"Get all available Avatars","openapi":"get /api/personas/","href":"/api-reference/personas/get-apipersonas"},{"title":"Get all available Avatars with pagination","openapi":"get /api/personas/paginated/","href":"/api-reference/personas/get-apipersonas-paginated"},{"title":"Get Avatar by ID","openapi":"get /api/personas/{id}/","href":"/api-reference/personas/get-apipersonas-"},{"title":"Create a Custom Avatar Using File URLs","openapi":"post /api/personas/","href":"/api-reference/personas/post-apipersonas"},{"title":"Create a Custom Avatar by Uploading Files","openapi":"post /api/personas_v2/","href":"/api-reference/personas/post-apipersonas-v2"},{"title":"Get all Custom Avatars","openapi":"get /api/personas_v2/","href":"/api-reference/personas/get-apipersonas-v2"},{"title":"Get the number of Custom Avatars you can create","openapi":"get /api/personas_v2/count/","href":"/api-reference/personas/get-apipersonas-count"},{"title":"Delete Custom Avatar","openapi":"delete /api/personas/{id}/","href":"/api-reference/personas/delete-apipersonas-"}]}]},{"group":"Custom Template","pages":[{"title":"Custom Templates API","sidebarTitle":"Overview","href":"/api-reference/custom-templates"},{"group":"Template API Reference","icon":"code","pages":[{"title":"Get Custom Templates items","openapi":"get /api/custom_templates/","href":"/api-reference/custom-templates/get-custom-template"},{"title":"Get Custom Templates item by id","openapi":"get /api/custom_templates/{template_id}/","href":"/api-reference/custom-templates/get-custom-template-"}]},{"group":"Video API Reference","icon":"code","pages":[{"title":"Create Custom Template Video","openapi":"post /api/custom_template_jobs/","href":"/api-reference/custom-template-jobs/post-custom-template-job"},{"title":"Generate Preview of Custom Template Video","openapi":"post /api/custom_template_jobs/preview/","description":"This endpoint generates a preview before rendering the final video. Generating a preview through this endpoint costs 1 credit for every 30 seconds.","href":"/api-reference/custom-template-jobs/post-custom-template-job-preview"},{"title":"Generate Preview of Custom Template Video (Async)","openapi":"post /api/custom_template_jobs/preview_async/","href":"/api-reference/custom-template-jobs/post-custom-template-job-preview-async"},{"title":"Render Custom Template Video","openapi":"post /api/custom_template_jobs/{id}/render/","description":"This endpoint renders a video with preview generated. Rendering a video through this endpoint costs 4 credits for every 30 seconds.","href":"/api-reference/custom-template-jobs/post-custom-template-job-render"},{"title":"Get Custom Template Videos","openapi":"get /api/custom_template_jobs/","href":"/api-reference/custom-template-jobs/get-custom-template-job"},{"title":"Get Custom Template Video by id","openapi":"get /api/custom_template_jobs/{id}/","href":"/api-reference/custom-template-jobs/get-custom-template-job-"}]}]},{"group":"Asset Generator","pages":[{"title":"Asset Generator API: AI Image and Video Models","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/ai-generation"},{"group":"Models","icon":"cubes","pages":[{"title":"AI Image, Video and Audio Model API Pricing","sidebarTitle":"Models and pricing","href":"/api-documentation/ai-generation/models"},{"group":"Creatify","pages":[{"title":"Creatify API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/creatify"},{"title":"Boreal-H3 Text to Video API","sidebarTitle":"Boreal-H3 · Text to video","href":"/api-documentation/ai-generation/models/creatify/boreal-h3-text-to-video"},{"title":"Boreal-H3 Image to Video API","sidebarTitle":"Boreal-H3 · Image to video","href":"/api-documentation/ai-generation/models/creatify/boreal-h3-image-to-video"},{"title":"Boreal-H3 Reference Video to Video API","sidebarTitle":"Boreal-H3 Reference · Video to video","href":"/api-documentation/ai-generation/models/creatify/boreal-h3-reference-to-video"}]},{"group":"Gemini Omni Flash","pages":[{"title":"Gemini Omni Flash API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/gemini-omni-flash"},{"title":"Gemini Omni Flash 1.1 Text to Video API","sidebarTitle":"Gemini Omni Flash 1.1 · Text to video","href":"/api-documentation/ai-generation/models/gemini-omni-flash/gemini-omni-flash-1-1"},{"title":"Gemini Omni Flash Text to Video API","sidebarTitle":"Gemini Omni Flash · Text to video","href":"/api-documentation/ai-generation/models/gemini-omni-flash/gemini-omni-flash"},{"title":"Gemini Omni Flash 1.1 Image to Video API","sidebarTitle":"Gemini Omni Flash 1.1 · Image to video","href":"/api-documentation/ai-generation/models/gemini-omni-flash/gemini-omni-flash-1-1-image-to-video"},{"title":"Gemini Omni Flash Image to Video API","sidebarTitle":"Gemini Omni Flash · Image to video","href":"/api-documentation/ai-generation/models/gemini-omni-flash/gemini-omni-flash-image-to-video"},{"title":"Gemini Omni Flash (Reference to Video) Image to Video API","sidebarTitle":"Gemini Omni Flash (Reference to Video) · Image to video","href":"/api-documentation/ai-generation/models/gemini-omni-flash/gemini-omni-flash-reference-to-video"},{"title":"Gemini Omni Flash 1.1 (Edit) Video to Video API","sidebarTitle":"Gemini Omni Flash 1.1 (Edit) · Video to video","href":"/api-documentation/ai-generation/models/gemini-omni-flash/gemini-omni-flash-1-1-edit"},{"title":"Gemini Omni Flash 1.1 (Reference to Video) Video to Video API","sidebarTitle":"Gemini Omni Flash 1.1 (Reference to Video) · Video to video","href":"/api-documentation/ai-generation/models/gemini-omni-flash/gemini-omni-flash-1-1-reference-to-video"},{"title":"Gemini Omni Flash (Edit) Video to Video API","sidebarTitle":"Gemini Omni Flash (Edit) · Video to video","href":"/api-documentation/ai-generation/models/gemini-omni-flash/gemini-omni-flash-edit"}]},{"group":"Seedance","pages":[{"title":"Seedance API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/seedance"},{"title":"Seedance 2.5 Text to Video API","sidebarTitle":"Seedance 2.5 · Text to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-2-5-text-to-video"},{"title":"Seedance 2.0 Mini Text to Video API","sidebarTitle":"Seedance 2.0 Mini · Text to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-2-0-mini-text-to-video"},{"title":"Seedance 2.0 Fast Text to Video API","sidebarTitle":"Seedance 2.0 Fast · Text to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-2-0-fast-text-to-video"},{"title":"Seedance 2.0 Text to Video API","sidebarTitle":"Seedance 2.0 · Text to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-2-0-text-to-video"},{"title":"Seedance 1.5 Pro Text to Video API","sidebarTitle":"Seedance 1.5 Pro · Text to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-v1-5-pro-text-to-video"},{"title":"Seedance 2.5 Image to Video API","sidebarTitle":"Seedance 2.5 · Image to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-2-5-image-to-video"},{"title":"Seedance 2.0 Mini Image to Video API","sidebarTitle":"Seedance 2.0 Mini · Image to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-2-0-mini-image-to-video"},{"title":"Seedance 2.0 Fast Image to Video API","sidebarTitle":"Seedance 2.0 Fast · Image to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-2-0-fast-image-to-video"},{"title":"Seedance 2.0 Image to Video API","sidebarTitle":"Seedance 2.0 · Image to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-2-0-image-to-video"},{"title":"Seedance 1.5 Pro Image to Video API","sidebarTitle":"Seedance 1.5 Pro · Image to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-v1-5-pro-image-to-video"},{"title":"Seedance 2.5 (reference-to-video) Video to Video API","sidebarTitle":"Seedance 2.5 (reference-to-video) · Video to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-2-5-reference-to-video"},{"title":"Seedance 2.0 Mini (reference-to-video) Video to Video API","sidebarTitle":"Seedance 2.0 Mini (reference-to-video) · Video to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-2-0-mini-reference-to-video"},{"title":"Seedance 2.0 Fast (reference-to-video) Video to Video API","sidebarTitle":"Seedance 2.0 Fast (reference-to-video) · Video to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-2-0-fast-reference-to-video"},{"title":"Seedance 2.0 (reference-to-video) Video to Video API","sidebarTitle":"Seedance 2.0 (reference-to-video) · Video to video","href":"/api-documentation/ai-generation/models/seedance/bytedance-seedance-2-0-reference-to-video"}]},{"group":"Nano Banana","pages":[{"title":"Nano Banana API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/nano-banana"},{"title":"Nano Banana 2.1 Text to Image API","sidebarTitle":"Nano Banana 2.1 · Text to image","href":"/api-documentation/ai-generation/models/nano-banana/nano-banana-2-1"},{"title":"Nano Banana 2 Lite Text to Image API","sidebarTitle":"Nano Banana 2 Lite · Text to image","href":"/api-documentation/ai-generation/models/nano-banana/nano-banana-2-lite"},{"title":"Nano Banana 2 Text to Image API","sidebarTitle":"Nano Banana 2 · Text to image","href":"/api-documentation/ai-generation/models/nano-banana/nano-banana-2"},{"title":"Nano Banana Pro Text to Image API","sidebarTitle":"Nano Banana Pro · Text to image","href":"/api-documentation/ai-generation/models/nano-banana/nano-banana-pro"},{"title":"Nano Banana Text to Image API","sidebarTitle":"Nano Banana · Text to image","href":"/api-documentation/ai-generation/models/nano-banana/nano-banana"},{"title":"Nano Banana 2.1 Image to Image API","sidebarTitle":"Nano Banana 2.1 · Image to image","href":"/api-documentation/ai-generation/models/nano-banana/nano-banana-2-1-edit"},{"title":"Nano Banana 2 Lite Image to Image API","sidebarTitle":"Nano Banana 2 Lite · Image to image","href":"/api-documentation/ai-generation/models/nano-banana/nano-banana-2-lite-edit"},{"title":"Nano Banana 2 Image to Image API","sidebarTitle":"Nano Banana 2 · Image to image","href":"/api-documentation/ai-generation/models/nano-banana/nano-banana-2-edit"},{"title":"Nano Banana Pro Image to Image API","sidebarTitle":"Nano Banana Pro · Image to image","href":"/api-documentation/ai-generation/models/nano-banana/nano-banana-pro-edit"},{"title":"Nano Banana Image to Image API","sidebarTitle":"Nano Banana · Image to image","href":"/api-documentation/ai-generation/models/nano-banana/nano-banana-edit"}]},{"group":"GPT","pages":[{"title":"GPT API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/gpt"},{"title":"GPT-image-1.5 Text to Image API","sidebarTitle":"GPT-image-1.5 · Text to image","href":"/api-documentation/ai-generation/models/gpt/gpt-image-1-5"},{"title":"GPT-image-2 Text to Image API","sidebarTitle":"GPT-image-2 · Text to image","href":"/api-documentation/ai-generation/models/gpt/gpt-image-2"},{"title":"GPT-image-2.5 Flare Text to Image API","sidebarTitle":"GPT-image-2.5 Flare · Text to image","href":"/api-documentation/ai-generation/models/gpt/gpt-image-2-5-flare"},{"title":"GPT-image-2.5 Sunburst Text to Image API","sidebarTitle":"GPT-image-2.5 Sunburst · Text to image","href":"/api-documentation/ai-generation/models/gpt/gpt-image-2-5-sunburst"},{"title":"GPT-image-1.5 Image to Image API","sidebarTitle":"GPT-image-1.5 · Image to image","href":"/api-documentation/ai-generation/models/gpt/gpt-image-1-5-edit"},{"title":"GPT-image-2.5 Flare Image to Image API","sidebarTitle":"GPT-image-2.5 Flare · Image to image","href":"/api-documentation/ai-generation/models/gpt/gpt-image-2-5-flare-edit"},{"title":"GPT-image-2.5 Sunburst Image to Image API","sidebarTitle":"GPT-image-2.5 Sunburst · Image to image","href":"/api-documentation/ai-generation/models/gpt/gpt-image-2-5-sunburst-edit"},{"title":"GPT-image-2 Image to Image API","sidebarTitle":"GPT-image-2 · Image to image","href":"/api-documentation/ai-generation/models/gpt/gpt-image-2-edit"}]},{"group":"Grok Image","pages":[{"title":"Grok Image API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/grok-image"},{"title":"Grok Image 2 Text to Image API","sidebarTitle":"Grok Image 2 · Text to image","href":"/api-documentation/ai-generation/models/grok-image/grok-imagine-image-v2-0"},{"title":"Grok Image Text to Image API","sidebarTitle":"Grok Image · Text to image","href":"/api-documentation/ai-generation/models/grok-image/grok-imagine-image"},{"title":"Grok Image 2 Image to Image API","sidebarTitle":"Grok Image 2 · Image to image","href":"/api-documentation/ai-generation/models/grok-image/grok-imagine-image-v2-0-edit"},{"title":"Grok Image Image to Image API","sidebarTitle":"Grok Image · Image to image","href":"/api-documentation/ai-generation/models/grok-image/grok-imagine-image-edit"}]},{"group":"Flux","pages":[{"title":"Flux API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/flux"},{"title":"Flux 2 pro Text to Image API","sidebarTitle":"Flux 2 pro · Text to image","href":"/api-documentation/ai-generation/models/flux/flux-2-pro"},{"title":"Flux 1 Kontext Text to Image API","sidebarTitle":"Flux 1 Kontext · Text to image","href":"/api-documentation/ai-generation/models/flux/flux-pro-kontext-text-to-image"},{"title":"Flux1.1 [pro] ultra Text to Image API","sidebarTitle":"Flux1.1 [pro] ultra · Text to image","href":"/api-documentation/ai-generation/models/flux/flux-pro-v1-1-ultra"},{"title":"Flux 2 pro Image to Image API","sidebarTitle":"Flux 2 pro · Image to image","href":"/api-documentation/ai-generation/models/flux/flux-2-pro-edit"},{"title":"Flux 1 Kontext Image to Image API","sidebarTitle":"Flux 1 Kontext · Image to image","href":"/api-documentation/ai-generation/models/flux/flux-pro-kontext-max-multi"}]},{"group":"Seedream","pages":[{"title":"Seedream API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/seedream"},{"title":"Seedream 5.0 Pro Text to Image API","sidebarTitle":"Seedream 5.0 Pro · Text to image","href":"/api-documentation/ai-generation/models/seedream/bytedance-seedream-v5-pro-text-to-image"},{"title":"Seedream 5.0 Pro Image to Image API","sidebarTitle":"Seedream 5.0 Pro · Image to image","href":"/api-documentation/ai-generation/models/seedream/bytedance-seedream-v5-pro-edit"},{"title":"Seedream 4.0 Image to Image API","sidebarTitle":"Seedream 4.0 · Image to image","href":"/api-documentation/ai-generation/models/seedream/bytedance-seedream-v4-edit"}]},{"group":"Recraft","pages":[{"title":"Recraft API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/recraft"},{"title":"Recraft v3 Text to Image API","sidebarTitle":"Recraft v3 · Text to image","href":"/api-documentation/ai-generation/models/recraft/recraft-v3-text-to-image"},{"title":"Recraft v3 Image to Image API","sidebarTitle":"Recraft v3 · Image to image","href":"/api-documentation/ai-generation/models/recraft/recraft-v3-image-to-image"}]},{"group":"Kling","pages":[{"title":"Kling API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/kling"},{"title":"Kling 4.0 Text to Video API","sidebarTitle":"Kling 4.0 · Text to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v4-text-to-video"},{"title":"Kling O3 Pro Text to Video API","sidebarTitle":"Kling O3 Pro · Text to video","href":"/api-documentation/ai-generation/models/kling/kling-video-o3-pro-text-to-video"},{"title":"Kling O3 Standard Text to Video API","sidebarTitle":"Kling O3 Standard · Text to video","href":"/api-documentation/ai-generation/models/kling/kling-video-o3-standard-text-to-video"},{"title":"Kling 3.0 Pro Text to Video API","sidebarTitle":"Kling 3.0 Pro · Text to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v3-pro-text-to-video"},{"title":"Kling 3.0 Standard Text to Video API","sidebarTitle":"Kling 3.0 Standard · Text to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v3-standard-text-to-video"},{"title":"Kling 2.6 Pro Text to Video API","sidebarTitle":"Kling 2.6 Pro · Text to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v2-6-pro-text-to-video"},{"title":"Kling Turbo 2.5 Text to Video API","sidebarTitle":"Kling Turbo 2.5 · Text to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v2-5-turbo-pro-text-to-video"},{"title":"Kling 2.1 master Text to Video API","sidebarTitle":"Kling 2.1 master · Text to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v2-1-master-text-to-video"},{"title":"Kling 4.0 Image to Video API","sidebarTitle":"Kling 4.0 · Image to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v4-image-to-video"},{"title":"Kling 4.0 (reference-to-video) Image to Video API","sidebarTitle":"Kling 4.0 (reference-to-video) · Image to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v4-reference-to-video"},{"title":"Kling O3 Pro Image to Video API","sidebarTitle":"Kling O3 Pro · Image to video","href":"/api-documentation/ai-generation/models/kling/kling-video-o3-pro-image-to-video"},{"title":"Kling O3 Pro (reference-to-video) Image to Video API","sidebarTitle":"Kling O3 Pro (reference-to-video) · Image to video","href":"/api-documentation/ai-generation/models/kling/kling-video-o3-pro-reference-to-video"},{"title":"Kling O3 Standard Image to Video API","sidebarTitle":"Kling O3 Standard · Image to video","href":"/api-documentation/ai-generation/models/kling/kling-video-o3-standard-image-to-video"},{"title":"Kling O3 Standard (reference-to-video) Image to Video API","sidebarTitle":"Kling O3 Standard (reference-to-video) · Image to video","href":"/api-documentation/ai-generation/models/kling/kling-video-o3-standard-reference-to-video"},{"title":"Kling 3.0 Pro Image to Video API","sidebarTitle":"Kling 3.0 Pro · Image to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v3-pro-image-to-video"},{"title":"Kling 3.0 Standard Image to Video API","sidebarTitle":"Kling 3.0 Standard · Image to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v3-standard-image-to-video"},{"title":"Kling 2.6 Pro Image to Video API","sidebarTitle":"Kling 2.6 Pro · Image to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v2-6-pro-image-to-video"},{"title":"Kling Turbo 2.5 Image to Video API","sidebarTitle":"Kling Turbo 2.5 · Image to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v2-5-turbo-pro-image-to-video"},{"title":"Kling 2.1 master Image to Video API","sidebarTitle":"Kling 2.1 master · Image to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v2-1-master-image-to-video"},{"title":"Kling 2.1 Pro Image to Video API","sidebarTitle":"Kling 2.1 Pro · Image to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v2-1-pro-image-to-video"},{"title":"Kling 4.0 (edit video) Video to Video API","sidebarTitle":"Kling 4.0 (edit video) · Video to video","href":"/api-documentation/ai-generation/models/kling/kling-video-v4-video-to-video-edit"},{"title":"Kling O3 Pro (edit video) Video to Video API","sidebarTitle":"Kling O3 Pro (edit video) · Video to video","href":"/api-documentation/ai-generation/models/kling/kling-video-o3-pro-video-to-video-edit"},{"title":"Kling O3 Pro (reference-to-video) Video to Video API","sidebarTitle":"Kling O3 Pro (reference-to-video) · Video to video","href":"/api-documentation/ai-generation/models/kling/kling-video-o3-pro-video-to-video-reference"},{"title":"Kling O3 Standard (edit video) Video to Video API","sidebarTitle":"Kling O3 Standard (edit video) · Video to video","href":"/api-documentation/ai-generation/models/kling/kling-video-o3-standard-video-to-video-edit"},{"title":"Kling O3 Standard (reference-to-video) Video to Video API","sidebarTitle":"Kling O3 Standard (reference-to-video) · Video to video","href":"/api-documentation/ai-generation/models/kling/kling-video-o3-standard-video-to-video-reference"}]},{"group":"MiniMax","pages":[{"title":"MiniMax API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/minimax"},{"title":"Minimax H3 Max Text to Video API","sidebarTitle":"Minimax H3 Max · Text to video","href":"/api-documentation/ai-generation/models/minimax/minimax-h3-max-text-to-video"},{"title":"Minimax H3 Text to Video API","sidebarTitle":"Minimax H3 · Text to video","href":"/api-documentation/ai-generation/models/minimax/minimax-h3-text-to-video"},{"title":"Minimax H3 Max Image to Video API","sidebarTitle":"Minimax H3 Max · Image to video","href":"/api-documentation/ai-generation/models/minimax/minimax-h3-max-image-to-video"},{"title":"Minimax H3 Image to Video API","sidebarTitle":"Minimax H3 · Image to video","href":"/api-documentation/ai-generation/models/minimax/minimax-h3-image-to-video"},{"title":"Minimax H3 (reference-to-video) Video to Video API","sidebarTitle":"Minimax H3 (reference-to-video) · Video to video","href":"/api-documentation/ai-generation/models/minimax/minimax-h3-reference-to-video"}]},{"group":"Veo","pages":[{"title":"Veo API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/veo"},{"title":"Veo 3.1 Text to Video API","sidebarTitle":"Veo 3.1 · Text to video","href":"/api-documentation/ai-generation/models/veo/veo3-1"},{"title":"Veo 3.1 Lite Text to Video API","sidebarTitle":"Veo 3.1 Lite · Text to video","href":"/api-documentation/ai-generation/models/veo/veo3-1-lite-text-to-video"},{"title":"Veo 3.1 Fast Text to Video API","sidebarTitle":"Veo 3.1 Fast · Text to video","href":"/api-documentation/ai-generation/models/veo/veo3-1-fast"},{"title":"Veo 3.1 Lite (First \u0026 Last frame) Image to Video API","sidebarTitle":"Veo 3.1 Lite (First \u0026 Last frame) · Image to video","href":"/api-documentation/ai-generation/models/veo/veo3-1-lite-first-last-frame-to-video"},{"title":"Veo 3.1 Lite Image to Video API","sidebarTitle":"Veo 3.1 Lite · Image to video","href":"/api-documentation/ai-generation/models/veo/veo3-1-lite-image-to-video"},{"title":"Veo 3.1 Fast (First \u0026 Last frame) Image to Video API","sidebarTitle":"Veo 3.1 Fast (First \u0026 Last frame) · Image to video","href":"/api-documentation/ai-generation/models/veo/veo3-1-fast-first-last-frame-to-video"},{"title":"Veo 3.1 Fast Image to Video API","sidebarTitle":"Veo 3.1 Fast · Image to video","href":"/api-documentation/ai-generation/models/veo/veo3-1-fast-image-to-video"},{"title":"Veo 3.1 (First \u0026 Last frame) Image to Video API","sidebarTitle":"Veo 3.1 (First \u0026 Last frame) · Image to video","href":"/api-documentation/ai-generation/models/veo/veo3-1-first-last-frame-to-video"},{"title":"Veo 3.1 Image to Video API","sidebarTitle":"Veo 3.1 · Image to video","href":"/api-documentation/ai-generation/models/veo/veo3-1-image-to-video"},{"title":"Veo 3.1 (Reference to Video) Image to Video API","sidebarTitle":"Veo 3.1 (Reference to Video) · Image to video","href":"/api-documentation/ai-generation/models/veo/veo3-1-reference-to-video"},{"title":"Veo 3.1 Lite (Extend Video) Video to Video API","sidebarTitle":"Veo 3.1 Lite (Extend Video) · Video to video","href":"/api-documentation/ai-generation/models/veo/veo3-1-lite-extend-video"},{"title":"Veo 3.1 (Extend Video) Video to Video API","sidebarTitle":"Veo 3.1 (Extend Video) · Video to video","href":"/api-documentation/ai-generation/models/veo/veo3-1-extend-video"}]},{"group":"Wan","pages":[{"title":"Wan API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/wan"},{"title":"Wan 3.0 (reference-to-video) Video to Video API","sidebarTitle":"Wan 3.0 (reference-to-video) · Video to video","href":"/api-documentation/ai-generation/models/wan/wan3-0-reference-to-video"},{"title":"Wan 2.7 Pro Text to Image API","sidebarTitle":"Wan 2.7 Pro · Text to image","href":"/api-documentation/ai-generation/models/wan/wan2-7-image-pro-text-to-image"},{"title":"Wan 2.7 Text to Image API","sidebarTitle":"Wan 2.7 · Text to image","href":"/api-documentation/ai-generation/models/wan/wan2-7-image-text-to-image"},{"title":"Wan 2.7 Image to Image API","sidebarTitle":"Wan 2.7 · Image to image","href":"/api-documentation/ai-generation/models/wan/wan2-7-image-image-to-image"},{"title":"Wan 2.7 Pro Image to Image API","sidebarTitle":"Wan 2.7 Pro · Image to image","href":"/api-documentation/ai-generation/models/wan/wan2-7-image-pro-image-to-image"}]},{"group":"Grok Video","pages":[{"title":"Grok Video API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/grok-video"},{"title":"Grok Video Text to Video API","sidebarTitle":"Grok Video · Text to video","href":"/api-documentation/ai-generation/models/grok-video/grok-imagine-video-text-to-video"},{"title":"Grok Video (Reference to Video) Image to Video API","sidebarTitle":"Grok Video (Reference to Video) · Image to video","href":"/api-documentation/ai-generation/models/grok-video/grok-imagine-video-reference-to-video"},{"title":"Grok Video Image to Video API","sidebarTitle":"Grok Video · Image to video","href":"/api-documentation/ai-generation/models/grok-video/grok-imagine-video-image-to-video"}]},{"group":"Pixverse","pages":[{"title":"Pixverse API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/pixverse"},{"title":"Pixverse V5 Text to Video API","sidebarTitle":"Pixverse V5 · Text to video","href":"/api-documentation/ai-generation/models/pixverse/pixverse-v5-text-to-video"},{"title":"Pixverse V5 Image to Video API","sidebarTitle":"Pixverse V5 · Image to video","href":"/api-documentation/ai-generation/models/pixverse/pixverse-v5-image-to-video"}]},{"group":"Lyria","pages":[{"title":"Lyria API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/lyria"},{"title":"Lyria 3 Pro Text to Music API","sidebarTitle":"Lyria 3 Pro · Text to music","href":"/api-documentation/ai-generation/models/lyria/lyria-3-pro-text-to-music"}]},{"group":"Quick Editing","pages":[{"title":"Quick Editing API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/quick-editing"},{"title":"Upscale image Image to Image API","sidebarTitle":"Upscale image · Image to image","href":"/api-documentation/ai-generation/models/quick-editing/flux-vision-upscaler"}]},{"group":"MiniMax Music","pages":[{"title":"MiniMax Music API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/minimax-music"},{"title":"MiniMax Music 2.6 Text to Music API","sidebarTitle":"MiniMax Music 2.6 · Text to music","href":"/api-documentation/ai-generation/models/minimax-music/minimax-music-2-6-text-to-music"}]},{"group":"Other","pages":[{"title":"Other API: Models and Pricing","sidebarTitle":"Overview","href":"/api-documentation/ai-generation/models/other"},{"title":"LTX v2 Text to Video API","sidebarTitle":"LTX v2 · Text to video","href":"/api-documentation/ai-generation/models/other/ltxv-2-text-to-video"},{"title":"LTX v2 Image to Video API","sidebarTitle":"LTX v2 · Image to video","href":"/api-documentation/ai-generation/models/other/ltxv-2-image-to-video"}]}]},{"group":"API Reference","icon":"code","pages":[{"title":"Get Asset Generator Models and Schemas","openapi":"get /api/asset_generator/schemas/","href":"/api-reference/ai-generation/get-ai-generation-schema"},{"title":"Create Asset Generator task","openapi":"post /api/asset_generator/","href":"/api-reference/ai-generation/post-ai-generation"},{"title":"Get Asset Generator items","openapi":"get /api/asset_generator/","href":"/api-reference/ai-generation/get-ai-generation"},{"title":"Get Asset Generator item by id","openapi":"get /api/asset_generator/{id}/","href":"/api-reference/ai-generation/get-ai-generation-"}]}]},{"group":"Ad Clone","pages":[{"title":"Ad Clone API","sidebarTitle":"Overview","href":"/api-documentation/ad-clone/ad-clone"},{"group":"API Reference","icon":"code","pages":[{"title":"Create Ad Clone task","openapi":"post /api/ads_clone/","href":"/api-reference/ad-clone/post-ad-clone"},{"title":"Get Ad Clone items","openapi":"get /api/ads_clone/","href":"/api-reference/ad-clone/get-ad-clone"},{"title":"Get Ad Clone item by id","openapi":"get /api/ads_clone/{id}/","href":"/api-reference/ad-clone/get-ad-clone-"}]}]},{"group":"Text to Speech","pages":[{"title":"Text to Speech API","sidebarTitle":"Overview","href":"/api-documentation/text-to-speech/text-to-speech"},{"group":"API Reference","icon":"code","pages":[{"title":"Generate speech from text","openapi":"post /api/text_to_speech/","href":"/api-reference/text-to-speech/post-text-to-speech"},{"title":"Get Text to Speech items","openapi":"get /api/text_to_speech/","href":"/api-reference/text-to-speech/get-text-to-speech"},{"title":"Get Text to Speech item by id","openapi":"get /api/text_to_speech/{id}/","href":"/api-reference/text-to-speech/get-text-to-speech-"}]}]},{"group":"IAB Images","pages":[{"title":"IAB Banner Image API","sidebarTitle":"Overview","href":"/api-documentation/iab-images/iab-images"},{"group":"API Reference","icon":"code","pages":[{"title":"Create IAB Images task","openapi":"post /api/iab_images/","href":"/api-reference/iab-images/post-iab-images"},{"title":"List IAB Image Tasks","openapi":"get /api/iab_images/","href":"/api-reference/iab-images/get-iab-images"},{"title":"Get IAB Image Task","openapi":"get /api/iab_images/{id}/","href":"/api-reference/iab-images/get-iab-images-"}]}]},{"group":"HTML Interactive Ad","pages":[{"title":"HTML Interactive Ads API","sidebarTitle":"Overview","href":"/api-documentation/html-interactive-ads/html-interactive-ads"},{"group":"API Reference","icon":"code","pages":[{"title":"Create HTML interactive ads","openapi":"post /api/html_interactive_ads/","href":"/api-reference/html-interactive-ads/post-html-interactive-ads"},{"title":"List HTML interactive ad requests","openapi":"get /api/html_interactive_ads/","href":"/api-reference/html-interactive-ads/get-html-interactive-ads"},{"title":"Get an HTML interactive ad request","openapi":"get /api/html_interactive_ads/{id}/","href":"/api-reference/html-interactive-ads/get-html-interactive-ads-"},{"title":"List ad styles","openapi":"get /api/html_interactive_ads/styles/","href":"/api-reference/html-interactive-ads/get-html-interactive-ads-styles"}]}]},{"group":"Link Parser","pages":[{"group":"API Reference","icon":"code","pages":[{"title":"Get existing links","openapi":"get /api/links/","href":"/api-reference/links/get-apilinks"},{"title":"Create a link","openapi":"post /api/links/","href":"/api-reference/links/post-apilinks"},{"title":"Create link with params","openapi":"post /api/links/link_with_params/","href":"/api-reference/links/post-apilink_with_params"},{"title":"Update a link","openapi":"put /api/links/{id}/","href":"/api-reference/links/put-apilinks-"},{"title":"Get link by id","openapi":"get /api/links/{id}/","href":"/api-reference/links/get-apilinks-"}]}]},{"group":"AI Ad Script","pages":[{"group":"API Reference","icon":"code","pages":[{"title":"Generate AI Scripts","openapi":"post /api/ai_scripts/","href":"/api-reference/ai-scripts/post-ai-scripts"},{"title":"Get AI Script items","openapi":"get /api/ai_scripts/","href":"/api-reference/ai-scripts/get-ai-scripts"},{"title":"Get AI Script item by id","openapi":"get /api/ai_scripts/{id}/","href":"/api-reference/ai-scripts/get-ai-scripts-"}]}]},{"group":"Stock AI Voice","pages":[{"group":"API Reference","icon":"code","pages":[{"title":"Get voices","openapi":"get /api/voices/","href":"/api-reference/voices/get-apivoices"},{"title":"Get voices with pagination","openapi":"get /api/voices/paginated/","href":"/api-reference/voices/get-apivoices-paginated"},{"title":"Clone Voice","openapi":"post /api/voices/","href":"/api-reference/voices/clone-voices"},{"title":"Get Cloned Voices","openapi":"get /api/voices/cloned/","href":"/api-reference/voices/get-cloned-voices"},{"title":"Retrieve Voice Clone Quota","openapi":"get /api/voices/count/","href":"/api-reference/voices/get-voices-count"},{"title":"Delete Cloned Voice","openapi":"delete /api/voices/accents/{accent_id}/","href":"/api-reference/voices/delete-cloned-voices"}]}]},{"group":"Stock AI Music","pages":[{"group":"API Reference","icon":"code","pages":[{"title":"Get music categories","openapi":"get /api/music_categories/","href":"/api-reference/musics/get-api-music-categories"},{"title":"Get musics","openapi":"get /api/musics/","href":"/api-reference/musics/get-api-musics"}]}]},{"group":"Workspace","pages":[{"group":"API Reference","icon":"code","pages":[{"title":"Get Remaining Credits","openapi":"get /api/remaining_credits/","href":"/api-reference/workspace/get-remainingcredits"}]}]},{"group":"AI Shorts (Deprecated)","pages":[{"title":"AI Shorts API: Text to Short-Form Video","sidebarTitle":"Overview","icon":"triangle-exclamation","href":"/api-documentation/ai-shorts/ai-shorts"},{"group":"API Reference","icon":"code","pages":[{"title":"Create a AI Shorts task","openapi":"post /api/ai_shorts/","href":"/api-reference/ai-shorts/post-ai-shorts"},{"title":"Generate preview of AI Shorts","openapi":"post /api/ai_shorts/preview/","href":"/api-reference/ai-shorts/post-ai-shorts-preview"},{"title":"Render a AI Shorts video","openapi":"post /api/ai_shorts/{id}/render/","href":"/api-reference/ai-shorts/post-ai-shorts-render"},{"title":"Get AI Shorts items","openapi":"get /api/ai_shorts/","href":"/api-reference/ai-shorts/get-ai-shorts"},{"title":"Get AI Shorts item by id","openapi":"get /api/ai_shorts/{id}/","href":"/api-reference/ai-shorts/get-ai-shorts-"}]}]},{"group":"AI Editing (Deprecated)","pages":[{"title":"AI Video Editing API","sidebarTitle":"Overview","icon":"triangle-exclamation","href":"/api-documentation/ai-editing/ai-editing"},{"group":"API Reference","icon":"code","pages":[{"title":"Create a AI Editing task","openapi":"post /api/ai_editing/","href":"/api-reference/ai-editing/post-ai-editing"},{"title":"Generate preview of AI Editing","openapi":"post /api/ai_editing/preview/","href":"/api-reference/ai-editing/post-ai-editing-preview"},{"title":"Render a AI Editing video","openapi":"post /api/ai_editing/{id}/render/","href":"/api-reference/ai-editing/post-ai-editing-render"},{"title":"Get AI Editing items","openapi":"get /api/ai_editing/","href":"/api-reference/ai-editing/get-ai-editing"},{"title":"Get AI Editing item by id","openapi":"get /api/ai_editing/{id}/","href":"/api-reference/ai-editing/get-ai-editing-"}]}]},{"group":"Product Video (Deprecated)","pages":[{"title":"Product to Video API","sidebarTitle":"Overview","href":"/api-documentation/product-to-video/product-to-video"},{"group":"API Reference","icon":"code","pages":[{"title":"Generate a product preview image","openapi":"post /api/product_to_videos/gen_image/","href":"/api-reference/product_to_video/post-apiproduct_to_videos-gen_image"},{"title":"Get product video item by id","openapi":"get /api/product_to_videos/{id}/","href":"/api-reference/product_to_video/get-apiproduct_to_videos-"},{"title":"Get product video items","openapi":"get /api/product_to_videos/","href":"/api-reference/product_to_video/get-apiproduct_to_videos"},{"title":"Generate a video by id","openapi":"post /api/product_to_videos/{id}/gen_video/","href":"/api-reference/product_to_video/post-apiproduct_to_videos-gen_video"},{"title":"Regenerate a image by id","openapi":"post /api/product_to_videos/{id}/regen_image/","href":"/api-reference/product_to_video/post-apiproduct_to_videos-regen_image"},{"title":"Regenerate a video by id","openapi":"post /api/product_to_videos/{id}/regen_video/","href":"/api-reference/product_to_video/post-apiproduct_to_videos-regen_video"}]}]}]}]},{"tab":"Use Cases","pages":[{"title":"Use Cases","href":"/use-case/url-to-video"}]},{"tab":"Playground","pages":[{"title":"Playground","href":"/api-reference/tool"}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/api-reference/changelog"}]}]},"title":"Generate Preview of Custom Template Video (Async) - Creatify.ai","buildId":"dpl_EnxDqhjaNc9a8MVa833TGULPd9uJ","deploymentId":"dpl_EnxDqhjaNc9a8MVa833TGULPd9uJ","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-26-lDe7V.js","utils-CWQmgYtH.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-4-Aw3rSD.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-C2zjXYA5.js","snippetPresets-DFmpFA7C.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-FJpQavWq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-D_GvPF7k.js","shallow-Bs2ZB0NO.js","getApiPlaygroundDisplay-DCcqJJk-.js","CodeSnippet-DzDxawVe.js","CodeSnippets-aUr7fU-7.js","Page-CT9uE8Ip.js","getPastedJson-Y1fKsj_I.js","icon-DI4zTsDr.js","MethodPill-C0nDlmSQ.js","DuplicateIcon-NUXbx2nQ.js","createIcon-BdTHrPAi.js","DynamicMarkdown-CtpgKJwj.js","SectionHeading-B3x35tOt.js","axios-vUo_bRtp.js","Markdown-3OmurJMP.js","clsx-DMKzROTp.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-1ms6tsT-.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-Ke9xIMFx.js"]}